SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001369: OpenVPN Gw2Gw crashes the remote server - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001369Endian FirewallNetwork related (VPN, uplinks)public2008-10-10 17:012010-09-21 10:59
Reporterjohnwang 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionsuspended 
PlatformOSOS Version
Product Version2.2-rc3 
Target VersionFixed in Version 
Summary0001369: OpenVPN Gw2Gw crashes the remote server
DescriptionAfter a few minutes of connecting, the remote openvpn link goes down, and the it would crash that remote endian firewall.
Additional InformationAnyway to update OPENVPN to 2.1 rc13?
TagsNo tags attached.
Attached Files

- Relationships
child of 0001927confirmed Reports to be checked - collecting ticket 

-  Notes
(0001688)
johnwang (reporter)
2008-10-10 21:53

Endian 2.2RC3 still uses OpenVPN 2.1rc7. There was another post that shows there's a way to update to 2.1rc11? or maybe newer? Is there any posted instruction?

Peter mentioned in issue: 0001204

peter (administrator)
2008-09-16 11:52
"This release fixes a serious (though not security-related) bug in the
SSL/TLS negotiation over UDP that can cause SSL/TLS handshake failures.
  The bug was introduced in 2.1_rc9.

All users of OpenVPN 2.1_rc9 and rc10 are urged to upgrade. "

It was referring to OpenVPN 2.1rc11
(0001692)
peter-endian (administrator)
2008-10-13 09:56

do you see something calling "dmesg" ?
something like "netdevice_unregister: ..." ?

i don't think that an openvpn version update fixes this problem, there has not been changed that much in parts which could cause to crash the firewall.
i think it must be more the kernel or a hardware issue.

- Issue History
Date Modified Username Field Change
2008-10-10 17:01 johnwang New Issue
2008-10-10 17:01 johnwang Assigned To => peter-endian
2008-10-10 21:53 johnwang Note Added: 0001688
2008-10-13 09:56 peter-endian Note Added: 0001692
2009-06-10 13:16 peter-endian Relationship added child of 0001927
2009-06-10 13:16 peter-endian Assigned To peter-endian =>
2010-09-21 10:58 peter-endian Status new => closed
2010-09-21 10:59 peter-endian Resolution open => suspended

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker